# CoCreate-keepalived

A simple keepalived component in vanilla javascript. Easily configured using HTML5 data-attributes and/or JavaScript API. Take it for a spin in our [playground!](https://cocreate.app/docs/keepalived)

![GitHub latest release](https://img.shields.io/github/v/release/CoCreate-app/CoCreate-keepalived?style=flat-square)
![GitHub contributors](https://img.shields.io/github/contributors/CoCreate-app/CoCreate-keepalived?style=flat-square)
![License](https://img.shields.io/static/v1?style=flat-square&label=license&message=SSPL&color=green)
![Hiring](https://img.shields.io/static/v1?style=flat-square&label=&message=Hiring&color=blueviolet)

![CoCreate-keepalived](https://cdn.cocreate.app/docs/CoCreate-keepalived.gif)

## [Docs & Demo](https://cocreate.app/docs/keepalived)

For a complete guide and working demo refer to the [doumentation](https://cocreate.app/docs/keepalived)

## CDN

```html
<script src="https://cdn.cocreate.app/keepalived/latest/CoCreate-keepalived.min.js"></script>
```

```html
<script src="https://cdn.cocreate.app/keepalived/latest/CoCreate-keepalived.min.css"></script>
```

## NPM

```shell
$ npm i @cocreate/keepalived
```

# Table of Contents

- [Table of Contents](#table-of-contents)
- [Announcements](#announcements)
- [Roadmap](#roadmap)
- [How to Contribute](#how-to-contribute)
- [About](#about)
- [License](#license)

<a name="announcements"></a>

# Announcements

All updates to this library are documented in our [CHANGELOG](https://github.com/CoCreate-app/CoCreate-keepalived/blob/master/CHANGELOG.md) and [releases](https://github.com/CoCreate-app/CoCreate-keepalived/releases). You may also subscribe to email for releases and breaking changes.

<a name="roadmap"></a>

# Roadmap

If you are interested in the future direction of this project, please take a look at our open [issues](https://github.com/CoCreate-app/CoCreate-keepalived/issues) and [pull requests](https://github.com/CoCreate-app/CoCreate-keepalived/pulls). We would love to hear your feedback.

<a name="about"></a>

# About

CoCreate-keepalived is guided and supported by the CoCreate Developer Experience Team.

Please Email the Developer Experience Team [here](mailto:develop@cocreate.app) in case of any queries.

CoCreate-keepalived is maintained and funded by CoCreate. The names and logos for CoCreate are trademarks of CoCreate, LLC.

<a name="contribute"></a>

# How to Contribute

We encourage contribution to our libraries (you might even score some nifty swag), please see our [CONTRIBUTING](https://github.com/CoCreate-app/CoCreate-keepalived/blob/master/CONTRIBUTING.md) guide for details.

We want this library to be community-driven, and CoCreate led. We need your help to realize this goal. To help make sure we are building the right things in the right order, we ask that you create [issues](https://github.com/CoCreate-app/CoCreate-keepalived/issues) and [pull requests](https://github.com/CoCreate-app/CoCreate-keepalived/pulls) or merely upvote or comment on existing issues or pull requests.

We appreciate your continued support, thank you!

# License

[The MIT License (MIT)](https://github.com/CoCreate-app/CoCreate-keepalived/blob/master/LICENSE)
